import { Component, OnInit } from '@angular/core';
import { Feature } from './tab1.module'; // 确保路径正确
import { ModalController } from '@ionic/angular';
import { Router } from '@angular/router';
@Component({
  selector: 'app-tab1',
  templateUrl: './tab1.page.html',
  styleUrls: ['./tab1.page.scss'],

})
export class Tab1Page implements OnInit {
  
  /* slideOpts = {
    autoplay: true,
    loop: true,
    speed: 500
  }; */
  //Angular中组件初始化
  ngOnInit() {
  }


  //活动界面
  goToActivityDetail() {
    this.router.navigate(['/activity-detail']); // 替换为活动详情页面的路由路径
  }
  
  // 定义金刚区的功能数组
  // 饮食区域功能列表
  features = [
    { title: '饮食记录', icon: 'list-circle', route: '/diet-log' },
    { title: '饮食计划', icon: 'calendar-clear', route: '/diet-plan' },
    { title: '食谱定制', icon: 'pizza-outline', route: '/recipe' },
    { title: '营养分析', icon: 'body-outline', route: '/nutrition' },
    { title: '饮食视频', icon: 'film-outline', route: '/diet-videos' },
    { title: '饮食提醒', icon: 'alarm-outline', route: '/diet-reminders' }
  ];
  onFeatureSelect(feature:Feature) {
    console.log('Navigate to:', feature.title);
    // 在这里添加导航逻辑，例如使用this.router.navigate(feature.route)
  }

  // 健身区域功能列表
  fitnessFeatures = [
      { title: '运动记录', icon: 'stats-chart', route: '/fitness-log' },
      { title: '运动计划', icon: 'construct', route: '/fitness-plan' },
      { title: '目标挑战', icon: 'trophy', route: '/challenges' },
      { title: '体重管理', icon: 'barbell', route: '/weight-management' },
      { title: '健身视频', icon: 'fitness', route: '/fitness-videos' },
      { title: '虚拟教练', icon: 'infinite', route: '/virtual-coach' } 
    ];
  // 健身功能选择事件
  onFitnessFeatureSelect(feature:Feature) {
    console.log('Navigate to:', feature.title);
    // 在这里添加导航逻辑
  }

  // 打开设置的示例方法
  openSettings() {
    console.log('Open settings');
  }
  constructor(public modalController: ModalController,private router: Router) {}
  // 假设有一个搜索栏的模态组件
  async presentSearch() {
    const modal = await this.modalController.create({
      component: 'SearchModal' // 搜索模态组件的名称
    });
    return modal.present();
    
  }
    /* 公告栏 */
    


}